using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;

namespace SampleWinForms
{
	public class Form1 : System.Windows.Forms.Form
	{
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			InitializeComponent();
		}
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(284, 264);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);

		}
		#endregion

		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			SautinSoft.RtfToHtml r = new SautinSoft.RtfToHtml();
			string AppPath=System.Environment.CurrentDirectory;

			//specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_5;
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8;

			//specify image options
			r.ImageStyle.ImageFolder = AppPath;			//this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files";	//this folder will be created by the component
			r.ImageStyle.ImageFileName = "img";			//template name for images
			r.ImageStyle.IncludeImageInHtml = false;	//false - save images on HDD, true - save images inside HTML


			string rtfFile = Path.GetFullPath(@"..\..\..\..\..\..\test.rtf");
			string htmlFile = Path.Combine(AppPath,"test.html"); //the result will be located in the same folder as binary
			string rtfString = null;

			ReadFromFile(rtfFile,ref rtfString);

			int i = r.ConvertStringToFile(rtfString,htmlFile);

			if (i == 0)
			{
				System.Diagnostics.Process.Start(htmlFile);
			}
			Close();
		}

		public static int ReadFromFile(string fileName,ref string fileStr)
		{
			try
			{
				FileInfo fi = new FileInfo(fileName);
				StreamReader strmRead = fi.OpenText();
				fileStr = strmRead.ReadToEnd();
				strmRead.Close();
				return 0;
			}
			catch 
			{
				//error open file
				return 1;
			}
		}
	}
}
